sieve problem config antispam

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

sieve problem config antispam

Günther J. Niederwimmer
Hello,

I like to configure the antispam with sieve from this site https://
wiki2.dovecot.org/HowTo/AntispamWithSieve#For_rspamd

But when I compile the scripts I have this Errors
sievec /usr/lib64/dovecot/sieve/report-ham.sieve
report-ham: line 1: error: require command: unknown Sieve capability
`vnd.dovecot.pipe'.
report-ham: line 1: error: require command: unknown Sieve capability
`imapsieve'.
report-ham: line 15: error: unknown command 'pipe' (only reported once at first
occurrence).
report-ham: error: validation failed.
sievec(root): Fatal: failed to compile sieve script '/usr/lib64/dovecot/sieve/
report-ham.sieve'

My system is a centos 7
dovecot 2.2.33.1
dovecot-pigeonhole 2.2.33.1




--
mit freundlichen Grüssen / best regards,

  Günther J. Niederwimmer
Reply | Threaded
Open this post in threaded view
|

Re: sieve problem config antispam

Stephan Bosch-2
Op 12/11/2017 om 2:17 PM schreef Günther J. Niederwimmer:
> Hello,
>
> I like to configure the antispam with sieve from this site https://
> wiki2.dovecot.org/HowTo/AntispamWithSieve#For_rspamd
>
> But when I compile the scripts I have this Errors
> sievec /usr/lib64/dovecot/sieve/report-ham.sieve
> report-ham: line 1: error: require command: unknown Sieve capability
> `vnd.dovecot.pipe'.

You must enable the sieve_extprograms plugin for that extension:

https://wiki2.dovecot.org/Pigeonhole/Sieve/Plugins/Extprograms

> report-ham: line 1: error: require command: unknown Sieve capability
> `imapsieve'.

You must enable the sieve_imapsieve plugin:

https://wiki2.dovecot.org/Pigeonhole/Sieve/Plugins/IMAPSieve

> report-ham: line 15: error: unknown command 'pipe' (only reported once at first
> occurrence).
> report-ham: error: validation failed.
> sievec(root): Fatal: failed to compile sieve script '/usr/lib64/dovecot/sieve/
> report-ham.sieve'
>
> My system is a centos 7
> dovecot 2.2.33.1
> dovecot-pigeonhole 2.2.33.1

Regards,

Stephan.